# pt-sem.h File Reference

## Detailed Description

Couting semaphores implemented on protothreads.

Author:
  Adam Dunkels <adam@sics.se>

Definition in file pt-sem.h.

`#include "pt.h"`

Go to the source code of this file.

## Data Structures

struct | pt_sem

## Defines

#define | PT_SEM_INIT(s, c)
| Initialize a semaphore.
#define | PT_SEM_WAIT(pt, s)
| Wait for a semaphore.
#define | PT_SEM_SIGNAL(pt, s)
| Signal a semaphore.